<?php

error_reporting(E_ERROR);

session_start();

header('Content-Type: text/html; charset= utf-8');

require_once 'SmartySetup.php';
require_once 'config/config.php';
require_once 'libs/cpayeer.php';
require_once 'xajax_core/xajaxAIO.inc.php';

require_once 'inc/Admin.php';
require_once 'inc/GlobalDB.php';
require_once 'inc/Mail.php';
require_once 'inc/MySQL.php';
require_once 'inc/Payeer.php';
require_once 'inc/Phone.php';
require_once 'inc/Product.php';
require_once 'inc/Ref.php';
require_once 'inc/SMSC.php';
require_once 'inc/Transfer.php';
require_once 'inc/User.php';
require_once 'inc/ipBan.php';

if(!MySQL::Connect()){
    echo "Ошибка базы данных!";
    exit;
}

$xajax = new xajax();

$xajax->registerFunction("xTablePage");
$xajax->registerFunction("xLoginAdmin");
$xajax->registerFunction("xAdminExit");
$xajax->registerFunction("xAdminChangePass");
$xajax->registerFunction("xAdminSetConfig");

function xTablePage($page){
    $r = new xajaxResponse();
    $request = "?page=$page" . getUrlRequest();
    $r->redirect("admin.php" . $request);
    return $r;
}

function getUrlRequest(){
    $request = "";
    if(is_array($_GET)){
        if(count($_GET)){
            foreach ($_GET as $key => $value) {
                if($key != "page"){
                    $request .= "&$key=$value";
                }
            }
        }
    }
    return $request;
}

function xLoginAdmin($login,$pass){
    $r = new xajaxResponse();
    $ip = new ipBan($_SERVER['REMOTE_ADDR']);
    $login_error = false;
    if($user = Admin::getByLogin($login)){
        if($user->pass == md5($pass)){
            $_SESSION['admin_login'] = $login;
            $_SESSION['admin_pass'] = md5($pass);
            $ip->login_errors = 0;
            $r->redirect("admin.php");
            return $r;
        }
    }
    $ip->login_errors++;
    if($ip->login_errors > 5){
        $ip->login_errors = 0;
        $ip->time_ban = time() + 86400;
        $r->redirect("admin.php");
        return $r;
    }else{
        $r->assign("login_admin_error", "innerHTML", "Ошибка авторизации");
        return $r;
    }
}

function xAdminExit(){
    $r = new xajaxResponse();
    session_destroy();
    $r->redirect("admin.php");
    return $r;
}

function xAdminChangePass($pass){
    $r = new xajaxResponse();
    $r->clear("admin_changepass_error", "innerHTML");
    $r->clear("admin_changepass_info", "innerHTML");
    if($admin = Admin::getByLogin($_SESSION['admin_login'])){
        if(strlen($pass) < 8){
            $r->assign("admin_changepass_error", "innerHTML", "Пароль должен быть не короче 8 символов");
            return $r;
        }else{
            $admin->pass = md5($pass);
            $_SESSION['admin_pass'] = md5($pass);
            $r->assign("admin_changepass_info", "innerHTML", "Пароль успешно изменен");
            return $r;
        }
    }else{
        $r->assign("admin_changepass_error", "innerHTML", "Неизвестная ошибка");
        return $r;
    }
}

function xAdminSetConfig($profit,$prod1,$prod2,$prod3){
    $r = new xajaxResponse();
    $r->clear("admin_config_error", "innerHTML");
    $r->clear("admin_config_info", "innerHTML");
    if(intval($profit) and intval($prod1) and intval($prod2) and intval($prod3)){
        GlobalDB::Set('profit', intval($profit) / 100);
        GlobalDB::Set('prod1', intval($prod1));
        GlobalDB::Set('prod2', intval($prod2));
        GlobalDB::Set('prod3', intval($prod3));
        $r->assign("admin_config_info", "innerHTML", "Настройки системы успешно изменены.");
        return $r;
    }else{
        $r->assign("admin_config_error", "innerHTML", "Введены некоректные данные.");
        return $r;
    }
}

$xajax->processRequest();





$smarty = new Smarty_Cashbot();

//** раскомментируйте следующую строку для отображения отладочной консоли
//$smarty->debugging = true;


$login_error = false;
/** IP **/
$ip = new ipBan($_SERVER['REMOTE_ADDR']);
if($ip->time_ban > time()){
    $smarty->assign('ip_ban', true);
    $login_error = true;
}
/********/

/** Login **/
if($_SESSION['admin_login'] and $_SESSION['admin_pass']){
    if($admin = Admin::getByLogin($_SESSION['admin_login'])){
        if($admin->pass == $_SESSION['admin_pass']){
            $_SESSION['admin_auth'] = true;
            $smarty->assign('user', $admin);
            $smarty->assign('login', $_SESSION['admin_login']);
            $smarty->assign('admin_auth', true);
        }else{
            $login_error = true;
        }
    }else{
        $login_error = true;
    }
    if($login_error){
        session_destroy();
        header("Location: admin.php");
    }
}
/***********/


if($login_error == false){
    if($table_page = $_REQUEST['page']){
        if($table_page < 1){
            $table_page = 1;
        }
    }else{
        $table_page = 1;
    }
    $smarty->assign('request', $_REQUEST);
    $smarty->assign('table', GlobalDB::getProductList($table_page, GlobalDB::getFiltersFromRequest($_REQUEST), $pages));

    if($table_page > $pages){
        $table_page = $pages;
        $smarty->assign('table', GlobalDB::getProductList($table_page, GlobalDB::getFiltersFromRequest($_REQUEST)));
    }
    $smarty->assign('table_page', $table_page);
    $smarty->assign('table_pages', $pages);

    $payeer_balance = Payeer::getBalanceRub();
    if($payeer_balance === false){
        $info['payeer_balance'] = "временно недоступно";
    }else{
        $info['payeer_balance'] = $payeer_balance . "<span class='rub'></span>";
    }
    $info['db_balance'] = GlobalDB::Get("money");
    $info['sms_balance'] = SMSC::Balance();
    $info['user_count'] = 0;
    $info['product_count'] = 0;
    $qCntUsers = "SELECT COUNT(pk) FROM user";
    if($queryCntUsers = mysql_query($qCntUsers)){
        if(mysql_num_rows($queryCntUsers)){
            $R = mysql_fetch_array($queryCntUsers);
            $info['user_count'] = $R[0];
        }
    }
    $qCntProducts = "SELECT COUNT(pk) FROM product WHERE verification='1'";
    if($queryCntProducts = mysql_query($qCntProducts)){
        if(mysql_num_rows($queryCntProducts)){
            $R = mysql_fetch_array($queryCntProducts);
            $info['product_count'] = $R[0];
        }
    }
    $smarty->assign('info', $info);
    
    $smarty->assign('profit', GlobalDB::Get('profit') * 100);
    $smarty->assign('prod1', GlobalDB::Get('prod1'));
    $smarty->assign('prod2', GlobalDB::Get('prod2'));
    $smarty->assign('prod3', GlobalDB::Get('prod3'));
    
}
$smarty->display('admin.tpl');

$xajax->printJavascript();