{* Smarty *}
{config_load file="smarty.conf"}

<!DOCTYPE html>
<html>
    <head>
        <title>{#site_name#}</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width">
        <link rel="icon" type="image/vnd.microsoft.icon" href="favicon.ico">
        <link rel="SHORTCUT ICON" href="favicon.ico">
        
        <link href='template/main.css' rel='stylesheet' media='all' />
        <link href='template/orbit.css' rel='stylesheet' media='all' />
        
        <script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
        
        <script src="template/orbit.js"></script>
        <!--[if IE]>
            <style type="text/css">
                .timer { display: none !important; }
                div.caption { background:transparent; filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#99000000,endColorstr=#99000000);zoom: 1; }
            </style>
        <![endif]-->
        
    </head>
    <body>
        
        {if $ip_ban eq true}
            
            <div class='white'><p class='big' style='color: red;'>Ваш IP заблокирован</p></div>
        
        {elseif $admin_auth eq true}
        
            {include file="admin_header.tpl"}
            
            {include file="admin_changepass.tpl"}
            
            {include file="admin_config.tpl"}
            
            {include file="info.tpl"}

            {include file="table.tpl"}

        {else}
            
            {include file="admin_login.tpl"}
            
        {/if}
        
    </body>
</html>