<?php

class Phone {

    static public function getPhone($country, $phone, &$error = ""){
        $phone = strval($phone);
        $error_flag = false;
        
        if($country == "RU"){
            $code = "7";
            if(strlen($phone) != 10){
                $error = "Номер телефона должен состоять из 11 цифр.";
                $error_flag = true;
            }
        }else if($country == "UA"){
            $code = "380";
            if(strlen($phone) != 9){
                $error = "Номер телефона должен состоять из 12 цифр.";
                $error_flag = true;
            }
        }else if($country == "KZ"){
            $code = "77";
            if(strlen($phone) != 9){
                $error = "Номер телефона должен состоять из 11 цифр.";
                $error_flag = true;
            }
        }else if($country == "AZ"){
            $code = "994";
            if(strlen($phone) != 9){
                $error = "Номер телефона должен состоять из 12 цифр.";
                $error_flag = true;
            }
        }else if($country == "AM"){
            $code = "374";
            if(strlen($phone) != 8){
                $error = "Номер телефона должен состоять из 11 цифр.";
                $error_flag = true;
            }
        }else if($country == "BY"){
            $code = "375";
            if(strlen($phone) != 9){
                $error = "Номер телефона должен состоять из 12 цифр.";
                $error_flag = true;
            }
        }else if($country == "KG"){
            $code = "996";
            if(strlen($phone) != 9){
                $error = "Номер телефона должен состоять из 12 цифр.";
                $error_flag = true;
            }
        }else if($country == "MD"){
            $code = "373";
            if(strlen($phone) != 8){
                $error = "Номер телефона должен состоять из 11 цифр.";
                $error_flag = true;
            }
        }else if($country == "TJ"){
            $code = "992";
            if(strlen($phone) != 9){
                $error = "Номер телефона должен состоять из 12 цифр.";
                $error_flag = true;
            }
        }else if($country == "LT"){
            $code = "370";
            if(strlen($phone) != 8){
                $error = "Номер телефона должен состоять из 11 цифр.";
                $error_flag = true;
            }
        }else{
            $error = "Неизвестная ошибка.";
            $error_flag = true;
        }
        
        if($error_flag){
            return false;
        }else{
            return $code . $phone;
        }
    }
    
    static public function makeHash($phone){
        $hex_hash = hash("crc32", $phone . substr(strval(time()),-1,3));
        $dec_hash = hexdec($hex_hash);
        $hash = substr(strval($dec_hash), 2, 4);
        return $hash;
    }
    
    static public function setHash($phone, &$hash = ""){
        $hash = self::makeHash($phone);
        $qSel = "SELECT phone FROM phone_hash WHERE phone='$phone' LIMIT 1";
        $qUpd = "UPDATE phone_hash SET hash='$hash' WHERE phone='$phone' LIMIT 1";
        $qIns = "INSERT INTO phone_hash SET phone='$phone', hash='$hash'";
        if($querySel = mysql_query($qSel)){
            if(mysql_num_rows($querySel)){
                if(mysql_query($qUpd)){
                    return true;
                }else{
                    return false;
                }
            }else{
                if(mysql_query($qIns)){
                    return true;
                }else{
                    return false;
                }
            }
        }
        return false;
    }
    
    static public function getHash($phone){
        $qSel = "SELECT hash FROM phone_hash WHERE phone='$phone' LIMIT 1";
        if($query = mysql_query($qSel)){
            if(mysql_num_rows($query)){
                $R = mysql_fetch_assoc($query);
                return $R['hash'];
            }else{
                return false;
            }
        }
        return false;
    }
    
}
