-- phpMyAdmin SQL Dump
-- version 4.1.12
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Июн 18 2014 г., 17:43
-- Версия сервера: 5.1.73-1
-- Версия PHP: 5.3.3-7+squeeze19

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `PayeerBot`
--

-- --------------------------------------------------------

--
-- Структура таблицы `admin`
--

CREATE TABLE IF NOT EXISTS `admin` (
  `pk` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(16) NOT NULL,
  `pass` text,
  PRIMARY KEY (`pk`),
  UNIQUE KEY `login` (`login`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `admin`
--

INSERT INTO `admin` (`pk`, `login`, `pass`) VALUES
(2, 'admin', '25d55ad283aa400af464c76d713c07ad');

-- --------------------------------------------------------

--
-- Структура таблицы `global`
--

CREATE TABLE IF NOT EXISTS `global` (
  `name` varchar(32) NOT NULL,
  `value` text,
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
-- Дамп данных таблицы `global`
--

INSERT INTO `global` (`name`, `value`) VALUES
('money', '12.50'),
('income', '12.50'),
('profit', '0.3'),
('prod1', '150'),
('prod2', '300'),
('prod3', '500');

-- --------------------------------------------------------

--
-- Структура таблицы `ip_ban`
--

CREATE TABLE IF NOT EXISTS `ip_ban` (
  `ip` varchar(16) NOT NULL,
  `login_errors` int(11) NOT NULL DEFAULT '0',
  `time_ban` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `ip_ban`
--

INSERT INTO `ip_ban` (`ip`, `login_errors`, `time_ban`) VALUES
('85.26.234.199', 0, 0),
('149.154.64.114', 0, 0),
('46.187.52.8', 0, 0),
('176.114.3.47', 0, 0),
('82.144.222.13', 0, 0),
('5.231.208.198', 0, 0),
('93.125.99.52', 0, 0),
('192.102.6.24', 0, 0),
('62.122.207.83', 0, 0),
('62.43.228.141', 0, 0),
('87.25.139.131', 0, 0),
('82.146.38.119', 0, 0),
('91.197.128.253', 0, 0),
('217.175.13.14', 0, 0),
('80.242.104.194', 0, 0),
('91.191.195.140', 0, 0),
('94.41.115.198', 0, 0),
('178.137.92.219', 0, 0),
('217.126.243.190', 0, 0),
('91.105.176.218', 0, 0),
('78.138.104.178', 0, 0),
('78.152.96.33', 0, 0),
('91.105.100.211', 0, 0),
('46.118.124.54', 0, 0),
('80.242.108.205', 0, 0),
('85.26.235.122', 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `phone_hash`
--

CREATE TABLE IF NOT EXISTS `phone_hash` (
  `phone` varchar(16) NOT NULL,
  `hash` varchar(8) NOT NULL,
  PRIMARY KEY (`phone`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
-- Дамп данных таблицы `phone_hash`
--

INSERT INTO `phone_hash` (`phone`, `hash`) VALUES
('79378026688', '5237'),
('79147270470', '5444');

-- --------------------------------------------------------

--
-- Структура таблицы `product`
--

CREATE TABLE IF NOT EXISTS `product` (
  `pk` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `amount` int(11) NOT NULL,
  `percent` int(11) NOT NULL DEFAULT '50',
  `verification` tinyint(1) NOT NULL DEFAULT '0',
  `closed` tinyint(1) NOT NULL DEFAULT '0',
  `cashed` tinyint(1) NOT NULL DEFAULT '0',
  `time_make` int(11) NOT NULL DEFAULT '0',
  `time_paid` int(11) NOT NULL DEFAULT '0',
  `time_cash` int(11) NOT NULL DEFAULT '0',
  `payeer_operation_id` int(11) NOT NULL DEFAULT '0',
  `payeer_history_id` int(11) NOT NULL DEFAULT '0',
  `income_start` float NOT NULL DEFAULT '0',
  `income_need` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`pk`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=75 ;

--
-- Дамп данных таблицы `product`
--

INSERT INTO `product` (`pk`, `user`, `amount`, `percent`, `verification`, `closed`, `cashed`, `time_make`, `time_paid`, `time_cash`, `payeer_operation_id`, `payeer_history_id`, `income_start`, `income_need`) VALUES
(72, 2, 100, 50, 0, 0, 0, 1402733411, 0, 0, 0, 0, 0, 0),
(68, 1, 1, 50, 0, 0, 0, 1401086047, 0, 0, 0, 0, 0, 0),
(69, 1, 1, 50, 0, 0, 0, 1401088803, 0, 0, 0, 0, 0, 0),
(70, 1, 10, 50, 1, 0, 0, 1401088977, 1401089133, 0, 15609488, 0, 0, 240),
(71, 1, 10, 50, 1, 0, 0, 1401089692, 1401089744, 0, 15610561, 0, 6.25, 248.75),
(73, 2, 100, 50, 0, 0, 0, 1402733421, 0, 0, 0, 0, 0, 0),
(74, 1, 100, 50, 0, 0, 0, 1402733451, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `ref`
--

CREATE TABLE IF NOT EXISTS `ref` (
  `ip` varchar(16) NOT NULL,
  `user_pk` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `status_log`
--

CREATE TABLE IF NOT EXISTS `status_log` (
  `pk` int(11) NOT NULL AUTO_INCREMENT,
  `text` text CHARACTER SET cp1251,
  `sign` text CHARACTER SET cp1251,
  PRIMARY KEY (`pk`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1448 ;

--
-- Дамп данных таблицы `status_log`
--

INSERT INTO `status_log` (`pk`, `text`, `sign`) VALUES
(1336, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1337, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1338, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1339, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1340, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1341, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1342, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1343, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1344, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1345, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1346, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1347, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1348, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1349, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1350, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1351, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1352, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1353, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1354, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1355, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1356, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1357, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1358, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1359, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1360, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1361, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1362, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1363, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1364, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1365, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1366, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1367, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1368, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1369, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1370, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1371, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1372, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1373, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1374, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1375, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1376, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1377, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1378, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1379, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1380, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1381, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1382, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1383, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1384, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1385, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1386, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1387, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1388, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1389, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1390, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1391, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1392, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1393, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1394, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1395, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1396, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1397, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1398, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1399, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1400, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1401, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1402, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1403, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1404, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1405, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1406, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1407, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1408, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1409, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1410, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1411, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1412, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1413, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1414, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1415, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1416, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1417, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1418, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1419, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1420, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1421, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1422, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1423, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1424, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1425, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1426, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1427, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1428, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1429, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1430, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1431, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1432, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1433, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1434, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1435, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1436, '15609488:2603:26.05.2014 11:24:38:26.05.2014 11:25:33:15608792:70:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D44BDF913EF6F012CA03CC50A62B768886B1F86B3A96C3F6BF71A077A39D56EB'),
(1437, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1438, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1439, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1440, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1441, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1442, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1443, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1444, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1445, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1446, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD'),
(1447, '15610561:2603:26.05.2014 11:35:12:26.05.2014 11:35:44:15608792:71:10.00:RUB:0JLQutC70LDQtCAxMC4wMCDRgNGD0LEu:success:artemzxc', 'D305062C58A604185ACBF37828CA64B618B65A7CBF6EC858951A2850F4CD1CDD');

-- --------------------------------------------------------

--
-- Структура таблицы `transfer`
--

CREATE TABLE IF NOT EXISTS `transfer` (
  `pk` int(11) NOT NULL AUTO_INCREMENT,
  `target` varchar(64) NOT NULL,
  `phone` varchar(16) DEFAULT NULL,
  `amount` float NOT NULL DEFAULT '0',
  `text` text,
  `time_make` int(11) NOT NULL DEFAULT '0',
  `time_paid` int(11) NOT NULL DEFAULT '0',
  `paid` tinyint(1) NOT NULL DEFAULT '0',
  `payeer_history_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`pk`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=602 ;

--
-- Дамп данных таблицы `transfer`
--

INSERT INTO `transfer` (`pk`, `target`, `phone`, `amount`, `text`, `time_make`, `time_paid`, `paid`, `payeer_history_id`) VALUES
(598, 'P2496217', NULL, 0.75, 'Доход от Pay-Bot.com', 1401089133, 0, 0, 0),
(599, 'P2368930', NULL, 2.25, 'Доход от Pay-Bot.com', 1401089133, 0, 0, 0),
(600, 'P2496217', NULL, 0.75, 'Доход от Pay-Bot.com', 1401089744, 0, 0, 0),
(601, 'P2368930', NULL, 2.25, 'Доход от Pay-Bot.com', 1401089744, 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `pk` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(12) NOT NULL,
  `salt` varchar(8) DEFAULT NULL,
  `pass` text NOT NULL,
  `ref` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`pk`),
  UNIQUE KEY `login` (`login`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `user`
--

INSERT INTO `user` (`pk`, `login`, `salt`, `pass`, `ref`) VALUES
(1, '79378026688', '85b5e9a7', '4dbf20f2f665d75840c74f84b760f390', 0),
(2, '79147270470', 'fa306022', '345198d5bbde9dcc24fe579d23a1d6b7', 0);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
